> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/simulations

> List simulations.

Returns the simulations in your organization, newest first, with their `settings`.- Repeat `simulation_id` to read specific simulations. Repeat `agent_id` to read the simulations of specific agents.
- `simulation_id` and `agent_id` take up to 100 values each.
- A simulation must match every filter you send, and any one of the values within a filter.
- If nothing matches, the response is 200 with an empty list.## Query parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url https://api.getbluejay.ai/v2/simulations \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "simulations": [
    {
      "id": 123,
      "bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": 123,
      "name": "<string>",
      "created_at": "2026-01-01T00:00:00Z",
      "updated_at": "2026-01-01T00:00:00Z",
      "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "settings": {},
      "type": "max_concurrent",
      "max_concurrent": 123,
      "max_turns": 123,
      "ringing_timeout": 123,
      "inactivity_timeout_seconds": 123,
      "tags": [
        "<string>"
      ],
      "description": "<string>",
      "pinned": true,
      "always_on": true,
      "load_test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "selected_custom_metrics": [
        "<string>"
      ]
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.